Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jdbc.pool
Class FairBlockingQueue.ExchangeCountDownLatch<T>

    java.lang.Object
      java.util.concurrent.CountDownLatch
          org.apache.tomcat.jdbc.pool.FairBlockingQueue.ExchangeCountDownLatch<T>

Enclosing class:
  FairBlockingQueue<E>

    protected class FairBlockingQueue.ExchangeCountDownLatch<T>

extends CountDownLatch

Field Summary
`protected T` | `item`

Constructor Summary
`FairBlockingQueue.ExchangeCountDownLatch(int i)`

Method Summary
`T` | `getItem()`
`void` | `setItem(T item)`

Methods inherited from class java.util.concurrent.CountDownLatch
`await, await, countDown, getCount, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    protected volatile T item

Constructor Detail

### FairBlockingQueue.ExchangeCountDownLatch

    public FairBlockingQueue.ExchangeCountDownLatch(int i)

Method Detail

### getItem

    public T getItem()

### setItem

    public void setItem(T item)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.